summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--AUTHORS2
-rw-r--r--NEWS7
-rwxr-xr-xbin/release4
-rw-r--r--doc/real_index.html2
-rw-r--r--eventlet/__init__.py2
5 files changed, 13 insertions, 4 deletions
diff --git a/AUTHORS b/AUTHORS
index 3f49823..a89b2ef 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -140,3 +140,5 @@ Thanks To
* Ondřej Nový
* Jarrod Johnson
* Whitney Young
+* Matthew D. Pagel
+* Matt Yule-Bennett
diff --git a/NEWS b/NEWS
index 28130e2..4d9c94d 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,10 @@
+0.20.1
+======
+* dns: try unqualified queries as top level
+* test_import_patched_defaults bended to play with pyopenssl>=16.1.0
+* Explicit environ flag for importing eventlet.__version__ without ignoring import errors
+* Type check Semaphore, GreenPool arguments; Thanks to Matthew D. Pagel
+
0.20.0
======
* IMPORTANT: removed select.poll() function
diff --git a/bin/release b/bin/release
index f8f63a2..076afac 100755
--- a/bin/release
+++ b/bin/release
@@ -94,7 +94,7 @@ bump_version() {
local next_tuple="${version_next//./, }"
local version_path="eventlet/__init__.py"
echo "Updating file '$version_path'" >&2
- if ! sed -i '' -e "s/($current_tuple)/($next_tuple)/" "$version_path"; then
+ if ! sed --in-place='' -e "s/($current_tuple)/($next_tuple)/" "$version_path"; then
echo "sed error $?" >&2
exit 1
fi
@@ -106,7 +106,7 @@ bump_version() {
local doc_path="doc/real_index.html"
echo "Updating file '$doc_path'" >&2
- if ! sed -i '' -e "s/$current/$version_next/g" "$doc_path"; then
+ if ! sed --in-place='' -e "s/$current/$version_next/g" "$doc_path"; then
echo "sed error $?" >&2
exit 1
fi
diff --git a/doc/real_index.html b/doc/real_index.html
index b901779..40025c9 100644
--- a/doc/real_index.html
+++ b/doc/real_index.html
@@ -54,7 +54,7 @@ pip install eventlet
<p>Alternately, you can download the source archive:</p>
<ul>
<li>latest release from <a class="reference external" target="_blank" href="https://pypi.python.org/pypi/eventlet/">PyPi</a>:
- <a class="reference external" href="https://pypi.python.org/packages/source/e/eventlet/eventlet-0.20.0.tar.gz">eventlet-0.20.0.tar.gz</a></li>
+ <a class="reference external" href="https://pypi.python.org/packages/source/e/eventlet/eventlet-0.20.1.tar.gz">eventlet-0.20.1.tar.gz</a></li>
<li>or <a class="reference external" href="https://github.com/eventlet/eventlet/archive/master.zip">latest development version</a></li>
</ul>
diff --git a/eventlet/__init__.py b/eventlet/__init__.py
index fbf3ef4..4700261 100644
--- a/eventlet/__init__.py
+++ b/eventlet/__init__.py
@@ -1,7 +1,7 @@
import os
-version_info = (0, 20, 0)
+version_info = (0, 20, 1)
__version__ = '.'.join(map(str, version_info))
# This is to make Debian packaging easier, it ignores import
# errors of greenlet so that the packager can still at least